Skip to main content
POST
/
v1
/
track
curl --request POST \ --url https://api.dkit.xyz/v1/track \ --header 'Content-Type: application/json' \ --data ' { "hash": "0x67d8c9c1c9d0eb6b9c453e9394e11082e03cf85317c2e6bf675de08924624897", "chainId": "ARB", "quoteId": "c2b8e017-c695-44fe-adbb-39db625fcee4", "routeIndex": 0 } '
{ "trackingStatus": "completed", "quoteInfo": { "quoteId": "c2b8e017-c695-44fe-adbb-39db625fcee4", "routeIndex": 0, "senderAddress": "0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9", "recipientAddress": "0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9", "provider": "ONEINCH", "trackParams": { "hash": "0x67d8c9c1c9d0eb6b9c453e9394e11082e03cf85317c2e6bf675de08924624897", "chain": "ARB" } }, "route": { "providers": [ "ONEINCH" ], "sellAsset": "ARB.USDC-0XAF88D065E77C8CC2239327C5EDB3A432268E5831", "sellAmount": "10", "buyAsset": "ARB.ARB-0X912CE59144191C1204E64559FE8253A0E49E6548", "expectedBuyAmount": "28.995421060263166005", "expectedBuyAmountMaxSlippage": "27.545650", "sourceAddress": "0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9", "destinationAddress": "0x817bFA97Cc8E5Bfa499D401f43E3087B07AE96f9", "estimatedTime": { "inbound": 0, "swap": 30, "outbound": 0, "total": 30 } } }

Body

application/json
hash
string
required

Transaction hash to track

chain
enum<string>
required

Chain code (e.g. ETH, BTC, SOL)

Available options:
ARB,
AVAX,
BASE,
BSC,
BTC,
BCH,
GAIA,
DASH,
DOGE,
ETH,
KUJI,
LTC,
MAYA,
OP,
DOT,
FLIP,
MATIC,
XRD,
THOR,
SOL,
ZEC,
HYPE
quoteId
string
required

Quote ID from the quote request

routeIndex
number
required

Route index from the quote response

Response

Successful tracking response

trackingStatus
enum<string>
required
Available options:
not_started,
starting,
broadcasted,
mempool,
inbound,
swapping,
outbound,
completed,
refunding,
refunded,
partially_refunded,
dropped,
reverted,
replaced,
retries_exceeded,
parsing_error
quoteInfo
object
required
isStreaming
boolean
streamingProgress
object
isDexAgg
boolean
dexAggProgress
object
trackMeta
object
route
any

Quote response route item